com.ibm.openpages.api.logging

## Interface ILoggerFactory

-     public interface ILoggerFactory

  Factory for logger.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.commons.logging.Log` | `getLogger()` Returns Logger instance.
    `org.apache.commons.logging.Log` | `getLogger(java.lang.Class<?> clazz)` Returns Logger instance.
    `org.apache.commons.logging.Log` | `getLogger(java.lang.String className)` Returns Logger instance.
    `org.slf4j.Logger` | `getSimpleLogger()` Returns slf4j Logger instance.
    `org.slf4j.Logger` | `getSimpleLogger(java.lang.Class<?> clazz)` Returns slf4j Logger instance.
    `org.slf4j.Logger` | `getSimpleLogger(java.lang.String className)` Returns slf4j Logger instance.

- - ### Method Detail

    - #### getLogger

          org.apache.commons.logging.Log getLogger(java.lang.Class<?> clazz)

      Returns Logger instance.
      Parameters:
        `clazz` - the invoking class
      Returns:
        Log the logger

    - #### getLogger

          org.apache.commons.logging.Log getLogger(java.lang.String className)

      Returns Logger instance.
      Parameters:
        `className` - the invoking class name
      Returns:
        Log the logger

    - #### getLogger

          org.apache.commons.logging.Log getLogger()

      Returns Logger instance.
      Returns:
        Log the logger

    - #### getSimpleLogger

          org.slf4j.Logger getSimpleLogger(java.lang.Class<?> clazz)

      Returns slf4j Logger instance.
      Parameters:
        `clazz` - the invoking class
      Returns:
        Log the logger

    - #### getSimpleLogger

          org.slf4j.Logger getSimpleLogger(java.lang.String className)

      Returns slf4j Logger instance.
      Parameters:
        `className` - the invoking class name
      Returns:
        Log the logger

    - #### getSimpleLogger

          org.slf4j.Logger getSimpleLogger()

      Returns slf4j Logger instance.
      Returns:
        Log the logger

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.